Loading...
Searching...
No Matches
functional_sgi_ext.h File Reference

Go to the source code of this file.

## Classes

class | unary_compose< _Operation1, _Operation2 >
class | binary_compose< _Operation1, _Operation2, _Operation3 >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Functions

template<class _Operation1 , class _Operation2 >
unary_compose< _Operation1, _Operation2 > | compose1 (const _Operation1 &__fn1, const _Operation2 &__fn2)
template<class _Operation1 , class _Operation2 , class _Operation3 >
binary_compose< _Operation1, _Operation2, _Operation3 > | compose2 (const _Operation1 &__fn1, const _Operation2 &__fn2, const _Operation3 &__fn3)